/****************************************************************************/
/* GF75 ( JavaScript状態ﾃｰﾌﾞﾙ )                                             */
/*                                                                          */
/* Created : 2021/06/29 14:03:36                                            */
/****************************************************************************/

CREATE TABLE GF75 (
   SYSTEM_ID    VARCHAR2 (  10 )                    NOT NULL            /*  1 ｼｽﾃﾑID        */
 , TBLSYU       VARCHAR2 (   1 )                    NOT NULL            /*  2 ﾃｰﾌﾞﾙ種別     */
 , FILENAME     VARCHAR2 (  60 )                                        /*  3 ﾌｧｲﾙ名        */
 , FILEPATH     VARCHAR2 ( 256 )                                        /*  4 ﾌｧｲﾙﾊﾟｽ       */
 , MODIFIED     VARCHAR2 (  14 )                                        /*  5 最終更新日    */
 , ADDRESS      VARCHAR2 ( 256 )                                        /*  6 ｱﾄﾞﾚｽ         */
 , TAGNAME      VARCHAR2 (  30 )                                        /*  7 ﾀｸﾞ名称       */
 , SRC_FILE     VARCHAR2 ( 250 )                                        /*  8 ｲﾝｸﾙｰﾄﾞﾌｧｲﾙ   */
 , FGOMIT       VARCHAR2 (   1 )        DEFAULT '0' NOT NULL            /*  9 除外ﾌﾗｸﾞ      */
 , UNIQ         NUMBER   (   9 )        DEFAULT 0   NOT NULL            /* 10 ﾕﾆｰｸｷｰ        */
 , FGJ          VARCHAR2 (   1 )        DEFAULT '1' NOT NULL            /* 11 状態ﾌﾗｸﾞ      */
 , DYSET        VARCHAR2 (  14 )                                        /* 12 登録日時      */
 , PGSET        VARCHAR2 (  10 )                                        /* 13 作成PG        */
 , PGPSET       VARCHAR2 (  10 )                                        /* 14 作成親PG      */
 , USRSET       VARCHAR2 (  10 )                                        /* 15 作成社員      */
 , DYUPD        VARCHAR2 (  14 )                                        /* 16 更新日時      */
 , PGUPD        VARCHAR2 (  10 )                                        /* 17 更新PG        */
 , PGPUPD       VARCHAR2 (  10 )                                        /* 18 更新親PG      */
 , USRUPD       VARCHAR2 (  10 )                                        /* 19 更新者        */
)
TABLESPACE GFTBL01
STORAGE( INITIAL 16K );


CREATE SEQUENCE GF75S00 
  INCREMENT BY 1 START WITH 1 MAXVALUE 999999999 CYCLE NOCACHE;


CREATE OR REPLACE TRIGGER GF75T00 
  BEFORE INSERT ON GF75
  FOR EACH ROW 
  BEGIN 
    SELECT GF75S00.NEXTVAL INTO :NEW.UNIQ FROM DUAL; 
  END; 
/
